# nacl.hash

`nacl.hash.``sha256`(message, encoder)

  Hashes `message` with SHA256.

  Parameters:

  - message (bytes) – The message to hash.
  - encoder – A class that is able to encode the hashed message.

  Return bytes: | The hashed message.

`nacl.hash.``sha512`(message, encoder)

  Hashes `message` with SHA512.

  Parameters:

  - message (bytes) – The message to hash.
  - encoder – A class that is able to encode the hashed message.

  Return bytes: | The hashed message.